## ros-melodic-rosserial-arduino 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosserial_arduino)

find_package(catkin REQUIRED COMPONENTS
  message_generation
)

add_message_files(FILES
  Adc.msg
)

add_service_files(FILES
  Test.srv
)

catkin_python_setup()

generate_messages()

catkin_package(
  CATKIN_DEPENDS message_runtime
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
)

install(
  DIRECTORY src/ros_lib
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
)

install(
  DIRECTORY arduino-cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(
  PROGRAMS src/${PROJECT_NAME}/make_libraries.py nodes/serial_node.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rosserial-arduino (0.8.0-0stretch) stretch; urgency=high

  * Enhance ArduinoTcpHardware (#379 <https://github.com/ros-drivers/rosserial/issues/379>)
    - Add support to check for current TCP connection status to reconnect
    - stop tcp before re-connecting
  * Changed hardcoded pin 13 to LED_BUILTIN (#328 <https://github.com/ros-drivers/rosserial/issues/328>)
    To make the code work on an Arduino Nano V3 clone board.
    (might need to be updated in BlinkM as well, but I didnt try that example)
  * Added service to force an Arduino hard reset in serial_node.py (#349 <https://github.com/ros-drivers/rosserial/issues/349>)
    * Added hard_reset service call to serial_node
    * Refactored SerialClient to use a write thread, working around deadlock when both Arduino and serial_node.py get stuck writing to each other.
    * Updated cmakelists and package.xml to include dependencies. Removed unnecessary tcp functionality from arduino-specific serial_node.py
  * Added ESP32 support (#345 <https://github.com/ros-drivers/rosserial/issues/345>)
  * In rosserial_arduino, changed embedded type size for ROS uint64 to 8 bytes from 4. (#312 <https://github.com/ros-drivers/rosserial/issues/312>)
  * Contributors: Bo Chen, Chris Spencer, Pornthep Preechayasomboon, Tom O'Connell, blubbi321

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.7-0stretch) stretch; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Add ArduinoTcpHardware to use Arduino Ethernet shield. (#324 <https://github.com/ros-drivers/rosserial/issues/324>)
  * Add an example to use Subscriber and ServiceServer as class members. (#321 <https://github.com/ros-drivers/rosserial/issues/321>)
  * Added support for the Particle Photon (#292 <https://github.com/ros-drivers/rosserial/issues/292>)
  * Fix POLICY CMP0054 unknown (#291 <https://github.com/ros-drivers/rosserial/issues/291>)
  * Use ESP8266 header only if defined. (#288 <https://github.com/ros-drivers/rosserial/issues/288>)
  * Add Esp8266 support and an example (#279 <https://github.com/ros-drivers/rosserial/issues/279>)
  * Add support for STM32F1 with stm32duino. (#281 <https://github.com/ros-drivers/rosserial/issues/281>)
  * Contributors: Bei Chen Liu, David Portugal, Dmitry Kargin, Mike Purvis, Romain Reignier, Valentin VERGEZ, khancyr

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-melodic-rosserial-arduino (0.7.6-0stretch) stretch; urgency=high

  * Fixed issue with CMake CMP0054 (#273 <https://github.com/ros-drivers/rosserial/issues/273>)
  * Add Teensy LC support (#270 <https://github.com/ros-drivers/rosserial/issues/270>)
  * Support Teensy 3.5, 3.6. (#259 <https://github.com/ros-drivers/rosserial/issues/259>)
  * Contributors: Brent Yi, FirefoxMetzger, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-melodic-rosserial-arduino (0.7.5-0stretch) stretch; urgency=high

  * Missing 'h' inside constructor ArduinoHardware(ArduinoHardware& h) (#251 <https://github.com/ros-drivers/rosserial/issues/251>)
  * Contributors: MalcolmReynlods

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-melodic-rosserial-arduino (0.7.4-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.3-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.2-0stretch) stretch; urgency=high

  * Add ros.h include to transform_broadcaster
  * Add environment variable for arduino location
  * Add support for HW Serial ports on the Teensy
  * Contributors: David Lavoie-Boutin, Gary Servin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.0-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-rosserial-arduino (0.6.3-0stretch) stretch; urgency=high

  * Fix for Arduino upload path issue.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-melodic-rosserial-arduino (0.6.2-0stretch) stretch; urgency=high

  * Clean up rosserial_arduino/package.xml
  * Generic CMake helpers.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.6.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.6.0-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.5.6-0stretch) stretch; urgency=high

  * Add Mike Purvis as maintainer
  * Updated examples for Arduino 1.+
  * Added Teensy 3.1 support (MK20DX256)
  * Updated ArduinoHardware.h to add Teensy 3.0 support
  * Contributors: Michael Ferguson, Mike Purvis, Moju Zhao, Tony Baltovski, kjanesch

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.5.5-0stretch) stretch; urgency=high

  * Leonardo: Use the USB serial port for ROS messages option

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-melodic-rosserial-arduino (0.5.3-0stretch) stretch; urgency=high

  * add support for leonardo and due

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 04:00:00 -0000

ros-melodic-rosserial-arduino (0.5.2-0stretch) stretch; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000



=== debian/control ===
Source: ros-melodic-rosserial-arduino
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation
Homepage: http://ros.org/wiki/rosserial_arduino
Standards-Version: 3.9.2

Package: ros-melodic-rosserial-arduino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, arduino-core, ros-melodic-message-runtime, ros-melodic-rospy, ros-melodic-rosserial-client, ros-melodic-rosserial-msgs, ros-melodic-rosserial-python
Description: rosserial for Arduino/AVR platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosserial-arduino//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
